"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.printers = void 0;
const prettier_1 = require("prettier");
const import_align_1 = require("./import-align");
let printer;
(0, prettier_1.format)(';', {
    parser(text, { typescript }, options) {
        const plugin = options.plugins.find((x) => x.printers && x.printers.estree);
        printer = plugin.printers.estree;
        return typescript(text);
    },
});
exports.printers = {
    'typescript-monstrs': {
        ...printer,
        ...import_align_1.printer,
    },
};
